Sunday, July 20, 2014

Installing Git on MAC OSX 10.7.5 and illegal instruction 4

I finally upgraded to 10.7 today, and needed to re-install git, because it apparently doesn't survive the upgrade.  When I ran git after installing the latest, I got "illegal instruction 4" and not much else. Bummer.

This is a known issue described here: https://code.google.com/p/git-osx-installer/issues/detail?id=96 and the workaround described there by @christianbundy worked for me, namely:

"While this is still a bug, I solved the issue by using Git 1.8.4.2 downloaded here: https://code.google.com/p/git-osx-installer/downloads/detail?name=git-1.8.4.2-intel-universal-snow-leopard.dmg"

Thanks @christianbundy

Before installing 1.8.4.2, I cleaned up the other version of git by using this shell script: https://gist.github.com/klarstil/5317126   So, thanks also to Stephan Pohl.

No comments: